## telemeta-1.0.tar.gz

=== tools/eztelemeta/Makefile ===
PACKAGE = eztelemeta
VERSION = 0.1

DOCS = VERSION ChangeLog doc/README.fr doc/README.fr.html doc/doc.css doc/README.fr.latex \
	doc/README.fr.pdf doc/player.png LICENCE LICENCE.fr

SETTINGS = \
	settings/content.ini.append \
	settings/design.ini.append \
	settings/site.ini.append \
	settings/override.ini.append

TEMPLATES = \
	design/standard/templates/content/datatype/view/eztelemetaitem.tpl \
	design/standard/templates/content/datatype/edit/eztelemetaitem.tpl \
	design/standard/templates/eztelemeta_head.tpl \
	design/standard/override/templates/embed/eztelemetaitem.tpl \
	design/standard/override/templates/full/eztelemetaitem.tpl

HTDOCS = \
	design/standard/stylesheets/eztelemeta.css \
	design/standard/javascript/soundmanager2.js \
	design/standard/javascript/soundmanager2-nodebug-jsmin.js \
	design/standard/javascript/eztelemeta-player.js \
	design/standard/swf/soundmanager2_flash9.swf \
	design/standard/swf/soundmanager2.swf \
	design/standard/images/play.gif \
	design/standard/images/stop.gif

PHP = datatypes/eztelemetaitem/eztelemetaitemtype.php \
	autoloads/eztelemetadata.php \
	autoloads/eztemplateautoload.php

I18N = translations/fre-FR/translation.ts

DISTFILES = $(DOCS) $(SETTINGS) $(TEMPLATES) $(HTDOCS) $(PHP) $(I18N)

DISTPKG = $(PACKAGE)-$(VERSION).tar.gz

dist: $(DISTPKG)

$(DISTPKG): doc $(DISTFILES)
	tar -czf $@ --transform 's|^|eztelemeta/|' $(DISTFILES)

.PHONY: doc
doc: VERSION
	$(MAKE) -C doc

.PHONY: clean
clean:
	$(MAKE) -C doc clean
	rm VERSION

VERSION:
	echo $(VERSION) > $@

.PHONY: list
list: doc $(DISTFILES)
	@echo "------------------"
	@echo "Distributed files:"
	@echo "------------------"
	@echo $(DISTFILES) | tr ' ' '\n' > cmp.tmp
	@cat cmp.tmp
	@echo
	@echo "--------------------"
	@echo "Undistributed files:"
	@echo "--------------------"
	@find -type f | grep -v svn | grep -v 'swp$$' | sed 's/^\.\///' >> cmp.tmp
	@cat cmp.tmp | sort | uniq -u | grep -v 'cmp.tmp'
	@rm cmp.tmp

# vim: set noexpandtab: ts=2: sw=2:

=== tools/eztelemeta/doc/Makefile ===
VERSION := $(shell cat ../VERSION)
DOCS=README.fr.html README.fr.pdf README.fr README.fr.latex

doc: $(DOCS)

README.fr.html: README.fr doc.css player.png
	cat README.fr | sed 's/:scale: .*/:scale: 100/' | \
		rst2html -lfr --stylesheet=doc.css --link-stylesheet - $@

README.fr.pdf: README.fr.latex
	pdflatex $^
	pdflatex $^ # Double run is sometimes needed

README.fr.latex: README.fr player.png
	rst2latex -lfr README.fr $@

README.fr: README.fr.in ../VERSION
	cat README.fr.in | sed "s/EZTVERSION/$(VERSION)/g" > $@

clean:  
	rm -f $(DOCS) README.fr.aux README.fr.out README.fr.log

# vim: set noexpandtab: ts=2: sw=2:

=== debian/changelog ===
telemeta (0.8-1) unstable; urgency=low

  * New upstream release
  * See http://telemeta.org/log/ for the entire changelog 

 -- Guillaume Pellerin <yomguy@parisson.com>  Fri, 06 May 2011 11:33:22 +0200

telemeta (0.4-1) unstable; urgency=low

  * New upstream release
  * See http://telemeta.org/log/ for the entire changelog 

 -- Guillaume Pellerin <yomguy@altern.org>  Tue, 17 Mar 2009 01:46:51 +0100

telemeta (0.3.3-1) unstable; urgency=low

  * Add django 1.0 compatibility (no backward compatibility in most cases)
  * Modify dependencies and manuals

 -- Guillaume Pellerin <yomguy@altern.org>  Tue, 30 Sep 2008 02:45:36 +0200

telemeta (0.3.2-4) unstable; urgency=low

  * Change license from BSD to CeCILL

 -- Guillaume Pellerin <yomguy@altern.org>  Fri, 19 Sep 2008 15:38:48 +0200

telemeta (0.3.2-3) unstable; urgency=low

  * Fix max_digits 

 -- Guillaume Pellerin <yomguy@altern.org>  Mon, 15 Sep 2008 13:46:11 +0200

telemeta (0.3.2-2) unstable; urgency=low

  * Add analyzers 

 -- Guillaume Pellerin <yomguy@altern.org>  Mon, 15 Sep 2008 11:40:06 +0200

telemeta (0.3.2-1) unstable; urgency=low

  * Add analysis plugin component and views
  * Add wav2png.py objects and views
  * Add audiolab python library
  * Modify dependencies

 -- Guillaume Pellerin <yomguy@altern.org>  Thu, 28 Aug 2008 01:13:14 +0200

telemeta (0.3.1-1beta) unstable; urgency=low

  * Clear some install features
  * Change waveform color
  * Change menu order
  * Change link order at home
  * Fix spectrogram
  * Fix tuple bug for version
  * Modify setup method (distutils)
  * 2nd layout v0.4 item/view + item/edit
  * Item instruments prototype display
  * Hide empty fields on collection and item detail display
  * Layout breaks under 1024x768 : fixbug
  * image search, css pagination
  * search results: display collection tab by default if there's no item
  * fix search combining country/continent and ethnic group
  * layout v0.4 item/view + item/edit
  * advanced search form/results + fix wrong revert
  * advanced seach css formulaire
  * fix urls
  * affichage mediafile, overflow pour spectrogram
  * hide 4D internal field compil_face_plage
  * do not print duplicate countries and ethnic groups on collection detail
  * item/collection dublincore + fixbug css
  * write item and not items with a single result
  * enable searching items by publish date and collections by ethnic group
  * fix advanced search by title; fix empty search
  * affichage item v1 + bug largeur liste definition list
  * (re) fix build_query_string filter
  * collection dublin core
  * collections avec tous les champs
  * fix build_query_string filter
  * item quick search now also searches the creator (auteur) field
  * improved search; search results are now paginated, displaying either
  * items or collections, with a tab view
  * affichage collections + modifs css
  * sort related items by id on collection detail
  * advanced search: add missing templates
  * model modularization ; add is_published() method for collections
  * model modularization
  * add advanced search
  * models: code cleanup and new docstrings
  * Rewrite README and INSTALL
  * Show a table for 'normal' data view
  * Logo Telemeta FINAL v2

 -- Guillaume Pellerin <yomguy@altern.org>  Thu, 28 Aug 2008 01:11:19 +0200

telemeta (0.3.0-1) unstable; urgency=low

  * Changed README and INSTALL
  * fix spectrograms names
  * accept underscore in viz id
  * setting version to 'SVN' on trunk
  * fix items and collections fields display ordering + make item title
  * optional for django admin
  * use css overflow instead of iframe for visualization scrolling
  * Added metadata to OGG stream
  * Tuned max sample lengths to reasonable values
  * Tuned max sample lengths to reasonable values
  * Changed time_limit to 300 (5mn) for Octave
  * Added main tags to streamed mp3. Closes: #9
  * Made Octave quiet
  * Downsampling data for waveform2
  * Add an iframe to scroll on visualizers
  * Cleaned OctaveCoreVisualizer to avoid wrong subprocess calls
  * Fix the maximum displayed length to 10s max for Octave visualizers
  * Added octave2.9 dependency
  * Added Waveform2 and Spectrogram2 visualization components
  * Clean up
  * Removed old/
  * fix #28: use item id from export filename. WARNING: require crem data r3
  * make htdocs variable dynamic and add draft for 0.3 INSTALL
  * Fixed ExportProcessError
  * Remove sox piping for FLAC
  * simplify !TelemetaError
  * Create ExportProcessError class in export.api
  * cast double literals (breaks on Debian Sarge)
  * remove extra space in M3U playlist (failed with Amarok)
  * Fixed #26 partially for downloading but not for flash playing
  * remove unused logger instance and duplicated telemeta version
  * variable, use telemeta url variable + new telemeta_url template tag
  * soften footer logo
  * decrease homepage links size
  * tracify menu bar, add footer, homepage links and fix items list in
  * collection detail
  * add version in __init__.py and telemeta_version template tag
  * optimize and rename BackupBuilder to CollectionSerializer
  * add method to retrieve items that do not belong to any collection
  * display id on item detail
  * rename !FloatField to !DecimalField for django svn !r5302
  * Cleaned mp3 exporter
  * Fixed syntax problem
  * Restore Jeroen Wijering's Flash MP3 Player
  * add backup core and command line tool
  * consolidate MediaCore.to_dom() and fix encoding
  * Adds main id3 tags during MP3 streaming
  * Moved audio generator to ExporterCore.core_process
  * add variable for static files root
  * use named urls for static files
  * add to_dom() to models
  * renaming views to web
  * renaming web.py to base.py
  * add geographic navigator, coverage dc mapping to collection + other fixes
  * added collection playlists in m3u and xspf formats
  * embedded flash mp3 player in both collection and item displays.
  * Remark: there are two players available, you can switch them in the templates


=== debian/control ===
Source: telemeta
Section: sound
Priority: optional
Maintainer: Guillaume Pellerin <yomguy@altern.org>
Uploaders: Paul Brossier <piem@debian.org>
Build-Depends: debhelper (>= 5.0.0), docbook-to-man, cdbs (>= 0.4.42), python-setuptools (>= 0.6b3), python-support (>= 0.3), python-all-dev (>= 2.3.5-11)
Standards-Version: 3.8.0

Package: telemeta
Architecture: any
Depends: ${python:Depends}, python-xml, python-mutagen, python-django (>= 1.2-1), python-imaging (>= 1.1.6), python-mysqldb, mysql-server, python-numpy, python-ctypes, python-timeside (>= 0.3), django-json-rpc
Recommends: lame, vamp-examples
Homepage: http://telemeta.org
Suggests: ecasound, festival, par2
Description: web frontend to backup, analyse, transcode and stream any audio content with its metadata
 Telemeta is a web audio archiving program which introduces useful and secure methods to
 backup, index, transcode, analyse and publish any digitalized audio file with its metadata.
 It is dedicated to professionnals who wants to easily backup and publish documented sounds
 from collections of vinyls, magnetic tapes or audio CDs over a strong database, in accordance
 with open standards.
 Here are the main features of Telemeta:
 * Secure archiving, editing and publishing of audio files over internet.
 * "On the fly" transcoding and metadata encapsulating (FLAC, OGG, MP3, WAV, etc..)
 * User friendly web frontend including workflows and high level search methods
 * Smart dynamical and skinnable audio player (thanks to Timeside and soundmanager2)
 * "On the fly" complex audio analyzers based on an easy plugin architecture
 * Strong SQL backend
  * XML metadata backup
 * Auto audio-marking with synthetized voices reading metadata (optional)
 * Anti-corruption data security management with par2 recovery keys
 * Data synchronizing over remote servers (rsync + ssh methods)
 The Telemeta data model is based on 'collections' and 'items'. A collection is described
 by its metadata and includes original audio items (sounds) and its own metadata. This
 existing model has been designed to fit the one of the French Centre of Etnomusicology (CREM)
 but could be easily adapted/overrided to sue other data structures.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_SETUP_CMD := setup.py
DEB_COMPRESS_EXCLUDE := .pyc
DEB_STRIP_EXCLUDE := .pyc
